summaryrefslogtreecommitdiff
path: root/lua_benchmark/benchmark.sh
diff options
context:
space:
mode:
authorMatthew Sotoudeh <matthew@masot.net>2024-05-17 15:57:30 -0700
committerMatthew Sotoudeh <matthew@masot.net>2024-05-17 15:57:30 -0700
commitd068f0b3c11348a50c18af1ee3b0d2e5f38c4faf (patch)
treedb777acca2336f8c279e9f09346f02de7ddaa0e9 /lua_benchmark/benchmark.sh
parent221b05e7a86faa38036429d5fbfc8b0779eb5382 (diff)
lua benchmarks
Diffstat (limited to 'lua_benchmark/benchmark.sh')
-rwxr-xr-xlua_benchmark/benchmark.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/lua_benchmark/benchmark.sh b/lua_benchmark/benchmark.sh
new file mode 100755
index 0000000..a7248ea
--- /dev/null
+++ b/lua_benchmark/benchmark.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -x
+set -e
+
+make -B
+
+time ./build/system $1
+time ./build/jemalloc $1
+time ./build/magic_buddy $1
+time ./build/growing_magic_buddy $1
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback